Bug 490064 - Does not mirror screen correctly while testing multihead
Summary: Does not mirror screen correctly while testing multihead
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-13 03:23 UTC by Brent Holden
Modified: 2018-04-11 17:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-16 23:55:17 UTC


Attachments (Terms of Use)
xrandr output from laptop with secondary monitor not working (585 bytes, text/plain)
2009-03-13 03:24 UTC, Brent Holden
no flags Details
xrandr output from workstation with 1680x1050 monitor working correctly (736 bytes, text/plain)
2009-03-13 03:25 UTC, Brent Holden
no flags Details

Description Brent Holden 2009-03-13 03:23:56 UTC
Hardware:
http://www.smolts.org/client/show/pub_015e871c-fa64-4161-82b3-de0a9f6f36cf

Following instructions at:
https://fedoraproject.org/wiki/QA:Testcase_intelvideo_multihead

While testing the multihead functionality, you cannot mirror screens of a different resolution correctly.  The following error was shown:
Couldn't find a suitable configuration of screens.

Also, screens that have the same resolution are not displayed properly on the secondary screen.  Changing refresh frequency did not help.  Even though 50 is displayed in g-d-p, it doesn't present this as an available frequency in xrandr.

See attached xrandr outputs from my workstation with this monitor, and my T60 with this monitor hooked up.

Comment 1 Brent Holden 2009-03-13 03:24:35 UTC
Created attachment 335051 [details]
xrandr output from laptop with secondary monitor not working

Comment 2 Brent Holden 2009-03-13 03:25:09 UTC
Created attachment 335052 [details]
xrandr output from workstation with 1680x1050 monitor working correctly

Comment 3 Matěj Cepl 2009-04-23 11:13:46 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 4 Chris Shoemaker 2009-05-30 15:25:45 UTC
Any luck with that Xorg.*.log?

Comment 5 Bug Zapper 2009-06-09 12:12:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Matěj Cepl 2009-11-05 18:23:16 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 8 Chris Campbell 2009-12-16 18:32:16 UTC
Brent, is it still possible to reproduce this bug? If so, please attach the files requested in Comment #3.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Brent Holden 2009-12-16 21:26:18 UTC
I've recently moved to Fedora 12 where this bug is thankfully not an issue.

I was not able to test the errata posted by Matej, but this bug appears to be resolved by version 2.9.x of the Intel driver.

Comment 10 Chris Campbell 2009-12-16 23:55:17 UTC
Brent, thank you very much for your efforts in both reporting the original bug and in replying later (quite a few do not). According to your Comment #9, this bug has disappeared when upgrading to Fedora 12. Setting STATUS of CLOSED NEXTRELEASE

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.